| OpenZWave Library 1.6.0

Classes | Namespaces | Enumerations
DNSThread.h File Reference
`#include <string>`
`#include <map>`
`#include <list>`
`#include "Defs.h"`
`#include "Driver.h"`
`#include "platform/Event.h"`
`#include "platform/Mutex.h"`
`#include "platform/TimeStamp.h"`
`#include "platform/DNS.h"`

Go to the source code of this file.

## Classes
struct | OpenZWave::DNSLookup
class | OpenZWave::DNSThread
| the DNSThread provides Async DNS lookups for checking revision numbers of Config Files against the official database More...

## Namespaces
| OpenZWave

## Enumerations
enum | OpenZWave::LookupType { OpenZWave::DNS_Lookup_ConfigRevision = 1 }